1. Уважаемые пользователи, прежде чем ответить в теме или создать новую,
    внимательно ознакомьтесь с правилами раздела

    Кому лень работать или руки не оттуда - пользуйтесь услугами специалистов
  2. Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.."

    Есть JED!!! Ищите там!!!

обновления Joomla 1.0.12 до Joomla 1.5.15

Тема в разделе "Joomla", создана пользователем Dark_YS_Shark, 20 ноя 2009.

Информация :
  • Уважаемые пользователи, прежде чем ответить в теме или создать новую, внимательно ознакомьтесь с правилами раздела
  • Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.." Есть JED!!! Ищите там!!!
  • Аналоги ищите там же - на JED!!!
  • Новая версия? - У кого будет - тот выложит!
Статус темы:
Закрыта.
Модераторы: arman29, DMS, NightHunter
  1. Dark_YS_Shark

    Dark_YS_Shark Постоялец

    Регистр.:
    1 июл 2007
    Сообщения:
    118
    Симпатии:
    8
    Сильно не пинайте... надеюсь есть такой способ обновления джумулы
    с Joomla 1.0.12 до Joomla 1.5.15. Поиск ничего не дал:confused:
    кто знает... подскажите пожалуйста
     
  2. bigbrain

    bigbrain

    Регистр.:
    5 окт 2006
    Сообщения:
    691
    Симпатии:
    84
    Обновляешь Джумлу до 1.0.15 (ставишь патч обновление)
    Ставишь com_migrator
    Делаешь скрипт миграции этим компонентом.
    При установке Джумлы 1.5.15 на том этапе, где спрашивает загрузить демонстрационные данные или нет, там есть еще Загрузить скрипт миграции, там указываешь на файла дампа, который тебе сделал com_migrator. С помощью этого ты перенесешь новости.

    С компонентами сторонних производителей сложнее, тут придется ставить версию для 1.5 и смотреть отличия или искать аналоги.
     
  3. psknnn

    psknnn

    Регистр.:
    9 окт 2008
    Сообщения:
    379
    Симпатии:
    227
    1) если сайт в индексе то все страници слетят... чпу по дефолту разные
    2) если сайт серьезный и посещение большое то проапгрейтить до 1.0.15 и оставить посоветовалбы
    3) если какието модули юзаеш то убедись что есть нативные для 1.5 иначе придется включать режим совместимости, а он делает больше запросов в бд

    а сам процес как описал bigbrain делается
     
  4. Dark_YS_Shark

    Dark_YS_Shark Постоялец

    Регистр.:
    1 июл 2007
    Сообщения:
    118
    Симпатии:
    8
    а есть возможность оставить на месте старые страницы? (что б чпу не менялось)
     
  5. psknnn

    psknnn

    Регистр.:
    9 окт 2008
    Сообщения:
    379
    Симпатии:
    227
    чпу какого вида были?
    вообще смотри в сторону компонентов типа
    System - ARTIO JoomSEF
     
  6. Dark_YS_Shark

    Dark_YS_Shark Постоялец

    Регистр.:
    1 июл 2007
    Сообщения:
    118
    Симпатии:
    8
    .../content/section/7/30/
    .../content/blogcategory/21/40/
    .../component/option,com_contact/Itemid,3

    System - ARTIO JoomSEF - довольно интересный компонент, но вроде ничего такого не нашёл (, что б подходило, хотя может пропустил, так как его ещё не ставил
     
  7. belbox

    belbox Создатель

    Регистр.:
    13 окт 2008
    Сообщения:
    38
    Симпатии:
    1
    Вопрос.
    запросов будет больше только в модулях с легаси или вообще все модули будут делать эти запросы.
    Хотя это было бы неправильно :) ибо зачем тогда поддержка старых компонентов и модулей с потерей производительности сайта.
     
  8. Dark_YS_Shark

    Dark_YS_Shark Постоялец

    Регистр.:
    1 июл 2007
    Сообщения:
    118
    Симпатии:
    8
    в общем рыл рыл.. а максимум нашёл на половину что подходит... так как чпу несовсем коректно отображается при миграции с 1,0 версии в 1,5, кому понадобится большой сайт перекидывать то вот темка тыц, остальным советую быстренько ручками переколбасывать :)
     
Статус темы:
Закрыта.